# 分库分表
server:
  port: 8081
mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.sunxd.study.sharding.jdbc.po
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
# 分库分表
spring:
  shardingsphere:
    datasource:
      names: ds1,ds2
      ds0:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://${MYSQL_HOST:127.0.0.1}:${MYSQL_PORT:3306}/${MYSQL_DATA_BASE:db}?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&userSSL=false&serverTimezone=GMT%2B8
        username: root
        password: root
      ds1:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://${MYSQL_HOST:127.0.0.1}:${MYSQL_PORT:3306}/${MYSQL_DATA_BASE:db1}?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&userSSL=false&serverTimezone=GMT%2B8
        username: root
        password: root
      ds2:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://${MYSQL_HOST:127.0.0.1}:${MYSQL_PORT:3306}/${MYSQL_DATA_BASE:db2}?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true&userSSL=false&serverTimezone=GMT%2B8
        username: root
        password: root
    sharding:
      tables:
        t_user: #2库3表  库 db1 ,db2  表：t_user_1,t_user_2,t_user_3
          actualDataNodes: ds$->{1..2}.t_user_$->{1..3}
          logicTable: t_user
          databaseStrategy:
            inline:
              sharding-column: dbId
              algorithm-expression: ds${dbId % 2 + 1}
          tableStrategy:
            inline:
              shardingColumn: tbId
              algorithmExpression: t_user_$->{tbId % 3 + 1}
    props:
      sql:
        show: true
  main:
    allow-bean-definition-overriding: on




